Announcement Announcement Module
Collapse

Spring Dynamic Modules forum decommissioned in favor of Eclipse Gemini Blueprint

With the official first release of Eclipse Gemini Blueprint shipped, the migration of the Spring Dynamic Modules code base to the Eclipse Foundation, as part of the Gemini project, has been completed.

As such, this forum has been decommissioned in favour of the Eclipse Gemini forums.
See more
See less
What Spring-DM version should I used to OSGi Blueprint support? Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • What Spring-DM version should I used to OSGi Blueprint support?

    Hi all,

    Just wondering what version of Spring DM supports the OSGi 4.2 Blueprint specification.

    Thanks,

    David

  • #2
    Hi David,

    Spring DM 2.0 will be the reference implementation of OSGi Blueprint Service (RFC
    124) specification.
    As far as I understood, you'll be able to choose to the 1.2 configuration style or the specification one.

    Cheers,
    Thierry

    Comment


    • #3
      Hi Thierry,

      Thanks for the response. Any idea when I will be able to download 2.0?

      Best regards,

      David

      Comment


      • #4
        Hi David,

        I have no idea of the first release date. Sorry!

        Cheers,
        Thierry

        Comment


        • #5
          Hi David,

          The first milestone is scheduled for release in the upcoming weeks. In the meantime you can try one of the snapshots or compile the trunk yourself.

          Comment

          Working...
          X